Name:           perl-PDL-Graphics-PLplot
Version:        0.56
Release:        2%{?dist}.1
Summary:        Object-oriented interface from perl/PDL to the PLPLOT plotting library
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/PDL-Graphics-PLplot/
Source0:        http://search.cpan.org/CPAN/authors/id/D/DH/DHUNT/PDL-Graphics-PLplot-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(PDL)
BuildRequires:  plplot-devel
Requires:       perl(PDL)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))


%description
This is the PDL interface to the PLplot graphics library. It is designed
to be simple and light weight with a familiar 'perlish' Object Oriented
interface.

The interface consists of two levels.  A low level interface which maps
closely to the PLplot C interface, and a high level, object-oriented
interface which is easier to use.


%prep
%setup -q -n PDL-Graphics-PLplot-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

rm $RPM_BUILD_ROOT%{perl_vendorarch}/auto/PDL/Graphics/PLplot/PLplot.bs


%check
# Restrict ourselves to the main test for now, otherwise it compares
# output to pre-generated files which will differ from the ones we generate
make test TEST_FILES=t/plplot.t


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorarch}/*
%exclude %dir %{perl_vendorarch}/auto/
%{_mandir}/man3/*


%changelog
* Thu Aug 25 2011 Orion Poplawski <orion@cora.nwra.com> - 0.56-2.1
- Really rebuild with plplot 5.9.8

* Wed Aug 24 2011 Orion Poplawski <orion@cora.nwra.com> - 0.56-2
- Disable tests that fail due to upstream test design issues

* Thu Aug 18 2011 Orion Poplawski <orion@cora.nwra.com> - 0.56-1
- Update to 0.56
- Rebuild for plplot 5.9.8

* Thu Jul 21 2011 Petr Sabata <contyk@redhat.com> - 0.52-6
- Perl mass rebuild

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 0.52-5
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.52-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Oct 11 2010 Orion Poplawski <orion@cora.nwra.com> - 0.52-3
- Rebuild for plplot 5.9.7

* Sat Jun 05 2010 Iain Arnell <iarnell@gmail.com> 0.52-2
- rebuild with perl-5.12

* Tue May 4 2010 Orion Poplawski <orion@cora.nwra.com> - 0.52-1
- Update to 0.52

* Tue May 04 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.51-5
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.51-4
- rebuild against perl 5.10.1

* Mon Sep 14 2009 Orion Poplawski 0.51-3
- Add BR on perl(Test::More)
- Exclude PLplot.bs

* Thu Sep 10 2009 Orion Poplawski 0.51-2
- Use arch specific dir.

* Thu Sep 10 2009 Orion Poplawski 0.51-1
- Specfile autogenerated by cpanspec 1.78.
